classification
Title: document that asyncio.ProactorEventLoop doesn't support SSL
Type: enhancement Stage:
Components: asyncio, Documentation Versions: Python 3.4, Python 3.5
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: docs@python Nosy List: akira, docs@python, gvanrossum, vstinner, yselivanov
Priority: normal Keywords:

Created on 2014-05-05 13:32 by akira, last changed 2014-07-08 21:44 by vstinner. This issue is now closed.

Messages (3)
msg217921 - (view) Author: Akira Li (akira) * Date: 2014-05-05 13:32
In Lib/asyncio/proactor_events.py:419 [1]:

  def _start_serving(self, protocol_factory, sock, ssl=None, server=None):
    if ssl:
      raise ValueError('IocpEventLoop is incompatible with SSL.')

[1]: http://hg.python.org/cpython/file/4f26430b03fd/Lib/asyncio/proactor_events.py#l419

ProactorEventLoop is mentioned in the docs that it should be used to run 
subprocesses on Windows. [2]

[2]: http://hg.python.org/cpython/file/4f26430b03fd/Doc/library/asyncio-subprocess.rst

It might be a good example to demonstrate the idiomatic way how two different 
event loops could be used (to support both subprocesses and ssl connections in 
the same program).
msg219879 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2014-06-06 12:42
The first problem is that event loops are not documented at all: I created the issue #21680 to document them.
msg222585 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2014-07-08 21:44
Done in these commits:

New changeset 3f1381e3a68f by Victor Stinner in branch '3.4':
Issue #21680: Document asyncio event loops
http://hg.python.org/cpython/rev/3f1381e3a68f

New changeset 2c9d5f32f6c5 by Victor Stinner in branch 'default':
(Merge 3.4) Issue #21680: Document asyncio event loops
http://hg.python.org/cpython/rev/2c9d5f32f6c5
History
Date User Action Args
2014-07-08 21:44:42vstinnersetstatus: open -> closed
resolution: fixed
messages: + msg222585
2014-06-06 12:42:22vstinnersetmessages: + msg219879
2014-06-06 11:43:03vstinnersetcomponents: + asyncio
2014-05-12 23:18:57vstinnersetnosy: + gvanrossum, vstinner, yselivanov
2014-05-05 13:32:12akiracreate